Unit tash3c_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, ASH3C_p;

function tash3c: String;

implementation

function tash3c: String;
var
_i,N,IERR :Integer;
X :Array [0..3] of Complex;
IR :Array [0..9] of Integer;
R :Array [0..9] of Real;
const
A :Array [0..9] of Complex = ( ( re:1.0; im:0.0 ),( re:1.0; im:1.0 ),( re:1.0; 
im:0.0 ),( re:2.0; im:1.0 ),( re:2.0; im:1.0 ),( 
re:1.0; im:0.0 ),( re:3.0; im:1.0 ),( re:3.0; 
im:1.0 ),( re:3.0; im:1.0 ),( re:1.0; im: 0.0 ) );
B :Array [0..3] of Complex = ( ( re:3.0; im:-1.0 ),( re:3.0; im:-1.0 ),( 
re:3.0; im:-1.0 ),( re:1.0; im: 0.0 ) );
begin
Result := '';  {   }
Result := Result + #$0D#$0A;
for _i:=0 to 9 do
 begin
  Result := Result + Format('%20.16f %20.16f ',[A[_i].re,A[_i].im]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
N := 4;
ASH3C(A,B,X,N,1,IR,R,IERR);
Result := Result + #$0D#$0A;
for _i:=0 to 3 do
 begin
  Result := Result + Format('%20.16f %20.16f ',[X[_i].re,X[_i].im]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tash3c',Result);  {     tash3c.res }
exit;
end;

end.
